> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# List advanced vault analytics

> Returns a paginated list of vaults with advanced analytics. Filtering/pagination is passed via querystring (mirrors the v2 detailed-vaults list endpoint). Use the POST body `select` to opt into per-item analytics sections — max drawdown, withdrawal pause ratio and/or the full v2 `detailedVault` payload. Pricing scales per returned item: each item costs 1 base credit + 2 if `maxDrawdown` is included + 3 if `detailedVault` is included + 2 if `withdrawalPauseRatio` is included.

**Note:** analytics values are currently mocked and will be replaced with real data as the underlying pipelines are exposed.



## OpenAPI

````yaml https://api.vaults.fyi/alpha/documentation/json post /alpha/advanced-analytics
openapi: 3.0.3
info:
  title: Vaults.fyi Alpha API
  version: 0.1.0
  description: >-
    Alpha API endpoints for features in early access. These endpoints are not
    included in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Alpha API
security: []
tags:
  - name: Cross Chain
  - name: CCTP Bridge
  - name: SVM
  - name: Holders
  - name: Advanced Analytics
  - name: Historical Positions
paths:
  /alpha/advanced-analytics:
    post:
      tags:
        - Advanced Analytics
      summary: List advanced vault analytics
      description: >-
        Returns a paginated list of vaults with advanced analytics.
        Filtering/pagination is passed via querystring (mirrors the v2
        detailed-vaults list endpoint). Use the POST body `select` to opt into
        per-item analytics sections — max drawdown, withdrawal pause ratio
        and/or the full v2 `detailedVault` payload. Pricing scales per returned
        item: each item costs 1 base credit + 2 if `maxDrawdown` is included + 3
        if `detailedVault` is included + 2 if `withdrawalPauseRatio` is
        included.


        **Note:** analytics values are currently mocked and will be replaced
        with real data as the underlying pipelines are exposed.
      operationId: listAdvancedAnalytics
      parameters:
        - schema:
            type: integer
            minimum: 0
            default: 0
          in: query
          name: page
          required: false
          description: Page number (starting from 0)
        - schema:
            type: integer
            exclusiveMinimum: true
            minimum: 0
            maximum: 5000
            default: 50
          in: query
          name: perPage
          required: false
          description: Number of items per page
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: allowedAssets
          required: false
          description: Assets to be included by symbol(ticker).
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: disallowedAssets
          required: false
          description: >-
            Assets to be excluded by symbol(ticker). The parameter is ignored if
            "allowedAssets" is specified.
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: allowedProtocols
          required: false
          description: Protocols to be included by name.
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: disallowedProtocols
          required: false
          description: >-
            Protocols to be excluded by name. The parameter is ignored if
            "allowedProtocols" is specified.
        - schema:
            type: integer
            default: 100000
          in: query
          name: minTvl
          required: false
          description: Minimum TVL in USD of the vaults to be included
        - schema:
            type: number
            minimum: 0
          in: query
          name: minVaultScore
          required: false
          description: Minimum vault score required for a vault to be included
        - schema:
            type: boolean
          in: query
          name: onlyTransactional
          required: false
          description: >-
            Include only vaults that are supported in the transactional
            interface.
        - schema:
            type: boolean
          in: query
          name: onlyAppFeatured
          required: false
          description: Include only vaults that are featured in app.vaults.fyi
        - schema:
            type: boolean
            default: false
          in: query
          name: allowCorrupted
          required: false
          description: Allow inclusion of corrupted vaults.
        - schema:
            type: boolean
          in: query
          name: allowVaultsWithWarnings
          required: false
          description: Whether to include vaults with warnings. Defaults to true.
        - schema:
            type: array
            items:
              type: string
              enum:
                - mainnet
                - optimism
                - arbitrum
                - polygon
                - gnosis
                - base
                - unichain
                - swellchain
                - celo
                - worldchain
                - berachain
                - ink
                - bsc
                - hyperliquid
                - plasma
                - avalanche
                - katana
                - linea
                - mega-eth
                - monad
                - etherlink
                - eip155:1
                - eip155:10
                - eip155:42161
                - eip155:137
                - eip155:100
                - eip155:8453
                - eip155:130
                - eip155:1923
                - eip155:42220
                - eip155:480
                - eip155:80094
                - eip155:57073
                - eip155:56
                - eip155:999
                - eip155:9745
                - eip155:43114
                - eip155:747474
                - eip155:59144
                - eip155:4326
                - eip155:143
                - eip155:42793
              description: Include only vaults with provided network(name or CAIP)
            default:
              - base
              - mainnet
              - arbitrum
              - optimism
          in: query
          name: allowedNetworks
          required: false
          description: Networks to be included (name or CAIP).
        - schema:
            type: array
            items:
              type: string
              enum:
                - mainnet
                - optimism
                - arbitrum
                - polygon
                - gnosis
                - base
                - unichain
                - swellchain
                - celo
                - worldchain
                - berachain
                - ink
                - bsc
                - hyperliquid
                - plasma
                - avalanche
                - katana
                - linea
                - mega-eth
                - monad
                - etherlink
                - eip155:1
                - eip155:10
                - eip155:42161
                - eip155:137
                - eip155:100
                - eip155:8453
                - eip155:130
                - eip155:1923
                - eip155:42220
                - eip155:480
                - eip155:80094
                - eip155:57073
                - eip155:56
                - eip155:999
                - eip155:9745
                - eip155:43114
                - eip155:747474
                - eip155:59144
                - eip155:4326
                - eip155:143
                - eip155:42793
              description: Include only vaults with provided network(name or CAIP)
          in: query
          name: disallowedNetworks
          required: false
          description: >-
            Networks to be excluded (name or CAIP). The parameter is ignored if
            "allowedNetworks" is specified.
        - schema:
            type: integer
          in: query
          name: maxTvl
          required: false
          description: Maximum TVL in USD of the vaults to be included
        - schema:
            type: number
          in: query
          name: maxApy
          required: false
          description: Maximum APY (in decimal) of the vaults to be included
        - schema:
            type: number
          in: query
          name: minApy
          required: false
          description: Minimum APY (in decimal) of the vaults to be included
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: tags
          required: false
          description: Tags to be included.
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: curators
          required: false
          description: Curators to be included.
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
          in: query
          name: sortOrder
          required: false
          description: Sort order, either asc or desc. Ascending is default.
        - schema:
            type: string
            enum:
              - tvl
              - apy1day
              - apy7day
              - apy30day
          in: query
          name: sortBy
          required: false
          description: Field to sort by
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                select:
                  type: object
                  properties:
                    maxDrawdown:
                      type: boolean
                      enum:
                        - true
                      description: Include max-drawdown metrics for vault price per share
                    detailedVault:
                      type: boolean
                      enum:
                        - true
                      description: Embed the full v2 detailedVault payload
                    withdrawalPauseRatio:
                      type: boolean
                      enum:
                        - true
                      description: >-
                        Include ratio of time the vault withdrawals were paused
                        over the last 2 years. Returns null when the protocol
                        does not expose a withdrawal-pause event source or the
                        underlying tracked event has not yet been backfilled.
                    composition:
                      type: boolean
                      enum:
                        - true
                      description: Include composition for the vault.
                  additionalProperties: false
                  description: >-
                    Choose which analytics sections to include in the response.
                    Pricing scales with the selection.
              additionalProperties: false
              description: >-
                Request body for the advanced-analytics list endpoint. Use
                `select` to opt into per-item analytics sections.
        description: >-
          Request body for the advanced-analytics list endpoint. Use `select` to
          opt into per-item analytics sections.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  itemsOnPage:
                    type: integer
                    description: Number of items on the current page
                  nextPage:
                    type: integer
                    description: Next page number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        vaultId:
                          type: string
                        network:
                          type: string
                        maxDrawdown:
                          type: object
                          properties:
                            mdd30days:
                              type: number
                              description: >-
                                Largest observed peak-to-trough drop in the
                                vault price per share over the last 30 days,
                                reported as a decimal (e.g. 0.12 = 12%).
                            mdd90days:
                              type: number
                              description: >-
                                Largest observed peak-to-trough drop in the
                                vault price per share over the last 90 days,
                                reported as a decimal (e.g. 0.12 = 12%).
                            mdd365days:
                              type: number
                              description: >-
                                Largest observed peak-to-trough drop in the
                                vault price per share over the last 365 days,
                                reported as a decimal (e.g. 0.12 = 12%).
                          required:
                            - mdd30days
                            - mdd90days
                            - mdd365days
                          additionalProperties: false
                          description: Max drawdown metrics for vault price per share
                        detailedVault:
                          type: object
                          properties:
                            vaultId:
                              type: string
                              description: Stable vault identity for API lookups and links
                            address:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              description: Address of the vault
                            name:
                              type: string
                              description: Name of the vault
                            network:
                              type: object
                              properties:
                                name:
                                  type: string
                                  enum:
                                    - mainnet
                                    - optimism
                                    - arbitrum
                                    - polygon
                                    - gnosis
                                    - base
                                    - unichain
                                    - swellchain
                                    - celo
                                    - worldchain
                                    - berachain
                                    - ink
                                    - bsc
                                    - hyperliquid
                                    - plasma
                                    - avalanche
                                    - katana
                                    - linea
                                    - mega-eth
                                    - monad
                                    - etherlink
                                  description: Name of the network
                                chainId:
                                  type: integer
                                  description: Chain ID of the network
                                networkCaip:
                                  type: string
                                  pattern: ^eip155:\d+$
                                  description: CAIP-2 of the network
                              required:
                                - name
                                - chainId
                                - networkCaip
                              additionalProperties: false
                              description: Network details of the vault
                            asset:
                              type: object
                              properties:
                                address:
                                  type: string
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                  description: Address of the asset
                                assetCaip:
                                  type: string
                                  pattern: >-
                                    ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                  description: CAIP-2 of the asset
                                name:
                                  type: string
                                  description: Name of the asset
                                symbol:
                                  type: string
                                  description: Symbol of the asset
                                decimals:
                                  type: integer
                                  description: Number of decimals of the asset
                                assetLogo:
                                  type: string
                                  format: uri
                                  description: URL of the asset logo
                                assetPriceInUsd:
                                  type: string
                                  description: Price of the asset in USD
                                assetGroup:
                                  type: string
                                  description: >-
                                    Group of the asset, e.g., ETH, USD, EURO,
                                    BTC, OTHER
                              required:
                                - address
                                - assetCaip
                                - name
                                - symbol
                                - decimals
                                - assetGroup
                              additionalProperties: false
                              description: Asset details of the vault
                            isTransactional:
                              type: boolean
                              description: >-
                                Indicates if the vault supports transactional
                                endpoints
                            isAppFeatured:
                              type: boolean
                              description: >-
                                Indicates if the vault is featured in
                                app.vaults.fyi
                            protocol:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: Name of the protocol
                                product:
                                  type: string
                                  description: Product of the protocol
                                version:
                                  type: string
                                  description: Version of the protocol
                                protocolUrl:
                                  type: string
                                  description: URL of the protocol
                                description:
                                  type: string
                                  description: Description of the protocol
                                protocolLogo:
                                  type: string
                                  description: URL of the protocol logo
                              required:
                                - name
                              additionalProperties: false
                              description: Protocol details of the vault
                            lendUrl:
                              type: string
                              description: URL to lend the asset
                            description:
                              type: string
                              description: Description of the vault
                            protocolVaultUrl:
                              type: string
                              description: URL to the protocol vault
                            tags:
                              type: array
                              items:
                                type: string
                                minLength: 1
                              description: Tags of the vault
                            holdersData:
                              type: object
                              properties:
                                totalCount:
                                  type: number
                                  description: Number of holders of the vault
                                totalBalance:
                                  type: string
                                  description: Total balance of the vault holders
                                topHolders:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]{40}$
                                        description: Address of the holder
                                      lpTokenBalance:
                                        type: string
                                        description: Balance of the LP token of the holder
                                    required:
                                      - address
                                      - lpTokenBalance
                                    additionalProperties: false
                                  description: Top holders of the vault
                              additionalProperties: false
                            apy:
                              type: object
                              properties:
                                1day:
                                  type: object
                                  properties:
                                    base:
                                      type: number
                                      description: Base APY
                                    reward:
                                      type: number
                                      description: Reward APY
                                    total:
                                      type: number
                                      description: Total APY
                                  required:
                                    - base
                                    - reward
                                    - total
                                  additionalProperties: false
                                  description: 1day APY details
                                7day:
                                  type: object
                                  properties:
                                    base:
                                      type: number
                                      description: Base APY
                                    reward:
                                      type: number
                                      description: Reward APY
                                    total:
                                      type: number
                                      description: Total APY
                                  required:
                                    - base
                                    - reward
                                    - total
                                  additionalProperties: false
                                  description: 7day APY details
                                30day:
                                  type: object
                                  properties:
                                    base:
                                      type: number
                                      description: Base APY
                                    reward:
                                      type: number
                                      description: Reward APY
                                    total:
                                      type: number
                                      description: Total APY
                                  required:
                                    - base
                                    - reward
                                    - total
                                  additionalProperties: false
                                  description: 30day APY details
                                1hour:
                                  type: object
                                  properties:
                                    base:
                                      type: number
                                      description: Base APY
                                    reward:
                                      type: number
                                      description: Reward APY
                                    total:
                                      type: number
                                      description: Total APY
                                  required:
                                    - base
                                    - reward
                                    - total
                                  additionalProperties: false
                                  description: 1hour APY details
                              required:
                                - 1day
                                - 7day
                                - 30day
                                - 1hour
                              additionalProperties: false
                              description: APY details of the vault
                            tvl:
                              type: object
                              properties:
                                usd:
                                  type: string
                                  description: TVL in USD
                                native:
                                  type: string
                                  description: Native TVL
                              required:
                                - usd
                                - native
                              additionalProperties: false
                              description: TVL details of the vault
                            lastUpdateTimestamp:
                              type: integer
                              description: Timestamp of the last vault data update
                            creationData:
                              type: object
                              properties:
                                deploymentTimestamp:
                                  type: integer
                                  description: >-
                                    Timestamp of the vault contract deployment
                                    block
                              required:
                                - deploymentTimestamp
                              additionalProperties: false
                              description: Vault contract creation data
                            rewards:
                              type: array
                              items:
                                type: object
                                properties:
                                  asset:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]{40}$
                                        description: Address of the asset
                                      assetCaip:
                                        type: string
                                        pattern: >-
                                          ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                        description: CAIP-2 of the asset
                                      name:
                                        type: string
                                        description: Name of the asset
                                      symbol:
                                        type: string
                                        description: Symbol of the asset
                                      decimals:
                                        type: integer
                                        description: Number of decimals of the asset
                                      assetLogo:
                                        type: string
                                        format: uri
                                        description: URL of the asset logo
                                      assetPriceInUsd:
                                        type: string
                                        description: Price of the asset in USD
                                      assetGroup:
                                        type: string
                                        description: >-
                                          Group of the asset, e.g., ETH, USD,
                                          EURO, BTC, OTHER
                                    required:
                                      - address
                                      - assetCaip
                                      - name
                                      - symbol
                                      - decimals
                                      - assetGroup
                                    additionalProperties: false
                                    description: Asset details of the reward
                                  apy:
                                    type: object
                                    properties:
                                      1hour:
                                        type: number
                                        description: 1hour APY of the reward asset
                                      1day:
                                        type: number
                                        description: 1day APY of the reward asset
                                      7day:
                                        type: number
                                        description: 7day APY of the reward asset
                                      30day:
                                        type: number
                                        description: 30day APY of the reward asset
                                    required:
                                      - 1hour
                                      - 1day
                                      - 7day
                                      - 30day
                                    additionalProperties: false
                                required:
                                  - asset
                                  - apy
                                additionalProperties: false
                              description: List of rewards for the vault
                            score:
                              type: object
                              properties:
                                vaultScore:
                                  type: number
                                  description: Score of the vault
                                vaultTvlScore:
                                  type: number
                                  description: TVL score of the vault
                                protocolTvlScore:
                                  type: number
                                  description: TVL score of the protocol
                                holderScore:
                                  type: number
                                  description: Holder score of the vault
                                networkScore:
                                  type: number
                                  description: Network score of the vault
                                assetScore:
                                  type: number
                                  description: Asset score of the vault
                                totalScorePenalty:
                                  type: number
                                  description: Penalty applied to the vault score
                                penaltyComponents:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          content:
                                            type: string
                                            description: Content of the flag
                                          severity:
                                            type: string
                                            enum:
                                              - info
                                              - warning
                                              - critical
                                            description: Severity level of the flag
                                          endDate:
                                            type: number
                                            description: >-
                                              Unix timestamp (seconds) when this flag
                                              expires
                                          resolution:
                                            type: string
                                            description: >-
                                              Resolution details if the flag has been
                                              resolved
                                          type:
                                            type: string
                                            enum:
                                              - flag
                                            description: Type of the penalty component
                                          value:
                                            type: number
                                            description: >-
                                              Value of the penalty component, e.g.,
                                              flag penalty or score factor penalty
                                        required:
                                          - content
                                          - severity
                                          - endDate
                                          - type
                                          - value
                                        additionalProperties: false
                                        description: Penalty component derived from a flag
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            description: >-
                                              Type of the penalty component, e.g.,
                                              score factor penalty
                                          value:
                                            type: number
                                            description: >-
                                              Value of the score factor penalty, e.g.,
                                              0.1 for a 10% penalty
                                        required:
                                          - type
                                          - value
                                        additionalProperties: false
                                        description: >-
                                          Penalty component derived from a score
                                          factor
                                  description: >-
                                    List of penalty components applied to the
                                    vault score
                              required:
                                - vaultScore
                                - vaultTvlScore
                                - protocolTvlScore
                                - holderScore
                                - networkScore
                                - assetScore
                                - totalScorePenalty
                                - penaltyComponents
                              additionalProperties: false
                              description: Score details of the vault
                            additionalIncentives:
                              type: string
                              description: Additional incentives of the vault
                            curator:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: Name of the curator
                                description:
                                  type: string
                                  description: Description of the curator
                                websiteUrl:
                                  type: string
                                  description: Website URL of the curator
                              required:
                                - name
                              additionalProperties: false
                              description: Curator of the vault
                            lpToken:
                              type: object
                              properties:
                                address:
                                  type: string
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                  description: Address of the LP token
                                tokenCaip:
                                  type: string
                                  pattern: >-
                                    ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                  description: CAIP-2 of the LP token
                                name:
                                  type: string
                                  description: Name of the LP token
                                symbol:
                                  type: string
                                  description: Symbol of the LP token
                                decimals:
                                  type: integer
                                  description: Number of decimals of the LP token
                              required:
                                - address
                                - tokenCaip
                                - name
                                - symbol
                                - decimals
                              additionalProperties: false
                              description: LP token details of the vault
                            remainingCapacity:
                              type: string
                              description: Remaining capacity of the vault
                            maxCapacity:
                              type: string
                              description: Maximum capacity limit of the vault
                            isCorrupted:
                              type: boolean
                              description: Indicates if the vault is corrupted
                            userEventsIndexed:
                              type: boolean
                              description: >-
                                Indicates if user events related to the vault
                                are indexed and available in the API
                            childrenVaults:
                              type: array
                              items:
                                type: object
                                properties:
                                  vaultId:
                                    type: string
                                    description: Vault id of the child vault
                                  address:
                                    type: string
                                    description: Address of the child vault
                                  asset:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]{40}$
                                        description: Address of the asset
                                      assetCaip:
                                        type: string
                                        pattern: >-
                                          ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                        description: CAIP-2 of the asset
                                      name:
                                        type: string
                                        description: Name of the asset
                                      symbol:
                                        type: string
                                        description: Symbol of the asset
                                      decimals:
                                        type: integer
                                        description: Number of decimals of the asset
                                      assetLogo:
                                        type: string
                                        format: uri
                                        description: URL of the asset logo
                                      assetPriceInUsd:
                                        type: string
                                        description: Price of the asset in USD
                                      assetGroup:
                                        type: string
                                        description: >-
                                          Group of the asset, e.g., ETH, USD,
                                          EURO, BTC, OTHER
                                    required:
                                      - address
                                      - assetCaip
                                      - name
                                      - symbol
                                      - decimals
                                      - assetGroup
                                    additionalProperties: false
                                    description: Asset details of the child vault
                                  lpToken:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]{40}$
                                        description: Address of the LP token
                                      tokenCaip:
                                        type: string
                                        pattern: >-
                                          ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                        description: CAIP-2 of the LP token
                                      name:
                                        type: string
                                        description: Name of the LP token
                                      symbol:
                                        type: string
                                        description: Symbol of the LP token
                                      decimals:
                                        type: integer
                                        description: Number of decimals of the LP token
                                    required:
                                      - address
                                      - tokenCaip
                                      - name
                                      - symbol
                                      - decimals
                                    additionalProperties: false
                                    description: LP token details of the child vault
                                  additionalAssets:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        address:
                                          type: string
                                          pattern: ^0x[a-fA-F0-9]{40}$
                                          description: Address of the asset
                                        assetCaip:
                                          type: string
                                          pattern: >-
                                            ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                          description: CAIP-2 of the asset
                                        name:
                                          type: string
                                          description: Name of the asset
                                        symbol:
                                          type: string
                                          description: Symbol of the asset
                                        decimals:
                                          type: integer
                                          description: Number of decimals of the asset
                                        assetLogo:
                                          type: string
                                          format: uri
                                          description: URL of the asset logo
                                        assetPriceInUsd:
                                          type: string
                                          description: Price of the asset in USD
                                        assetGroup:
                                          type: string
                                          description: >-
                                            Group of the asset, e.g., ETH, USD,
                                            EURO, BTC, OTHER
                                      required:
                                        - address
                                        - assetCaip
                                        - name
                                        - symbol
                                        - decimals
                                        - assetGroup
                                      additionalProperties: false
                                    description: Additional assets of the child vault
                                required:
                                  - vaultId
                                  - address
                                  - asset
                                additionalProperties: false
                              description: List of child vaults
                            additionalAssets:
                              type: array
                              items:
                                type: object
                                properties:
                                  address:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: Address of the asset
                                  assetCaip:
                                    type: string
                                    pattern: >-
                                      ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                    description: CAIP-2 of the asset
                                  name:
                                    type: string
                                    description: Name of the asset
                                  symbol:
                                    type: string
                                    description: Symbol of the asset
                                  decimals:
                                    type: integer
                                    description: Number of decimals of the asset
                                  assetLogo:
                                    type: string
                                    format: uri
                                    description: URL of the asset logo
                                  assetPriceInUsd:
                                    type: string
                                    description: Price of the asset in USD
                                  assetGroup:
                                    type: string
                                    description: >-
                                      Group of the asset, e.g., ETH, USD, EURO,
                                      BTC, OTHER
                                required:
                                  - address
                                  - assetCaip
                                  - name
                                  - symbol
                                  - decimals
                                  - assetGroup
                                additionalProperties: false
                              description: Additional assets of the vault
                            transactionalProperties:
                              type: object
                              properties:
                                depositStepsType:
                                  type: string
                                  enum:
                                    - instant
                                    - complex
                                  description: >-
                                    Type of transaction steps, either "instant"
                                    or "complex"
                                redeemStepsType:
                                  type: string
                                  enum:
                                    - instant
                                    - complex
                                  description: >-
                                    Type of transaction steps, either "instant"
                                    or "complex"
                                rewardsSupported:
                                  type: boolean
                                  description: >-
                                    Indicates if the vault supports rewards
                                    transaction flows
                              required:
                                - depositStepsType
                                - redeemStepsType
                                - rewardsSupported
                              additionalProperties: false
                              description: Transactional properties of the vault
                            fees:
                              type: object
                              properties:
                                performanceFee:
                                  type: number
                                  description: Performance fee as decimal
                                managementFee:
                                  type: number
                                  description: Management fee as decimal
                                withdrawalFee:
                                  type: number
                                  description: Withdrawal fee as decimal
                                depositFee:
                                  type: number
                                  description: Deposit fee as decimal
                              additionalProperties: false
                              description: Fee structure of the vault
                            warnings:
                              type: array
                              items:
                                type: string
                              description: List of warnings related to the vault
                            flags:
                              type: array
                              items:
                                type: object
                                properties:
                                  content:
                                    type: string
                                    description: Content of the flag
                                  severity:
                                    type: string
                                    enum:
                                      - info
                                      - warning
                                      - critical
                                    description: Severity level of the flag
                                  endDate:
                                    type: number
                                    description: >-
                                      Unix timestamp (seconds) when this flag
                                      expires
                                  resolution:
                                    type: string
                                    description: >-
                                      Resolution details if the flag has been
                                      resolved
                                required:
                                  - content
                                  - severity
                                  - endDate
                                additionalProperties: false
                              description: >-
                                List of flags with severity and expiry
                                information
                            apyComposite:
                              type: object
                              properties:
                                totalApy:
                                  type: object
                                  properties:
                                    1day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 1day APY details
                                    7day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 7day APY details
                                    30day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 30day APY details
                                    1hour:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 1hour APY details
                                  required:
                                    - 1day
                                    - 7day
                                    - 30day
                                    - 1hour
                                  additionalProperties: false
                                  description: >-
                                    Compounded APY details combining the vault
                                    and its underlying vault
                                intrinsicApy:
                                  type: object
                                  properties:
                                    1day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 1day APY details
                                    7day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 7day APY details
                                    30day:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 30day APY details
                                    1hour:
                                      type: object
                                      properties:
                                        base:
                                          type: number
                                          description: Base APY
                                        reward:
                                          type: number
                                          description: Reward APY
                                        total:
                                          type: number
                                          description: Total APY
                                      required:
                                        - base
                                        - reward
                                        - total
                                      additionalProperties: false
                                      description: 1hour APY details
                                  required:
                                    - 1day
                                    - 7day
                                    - 30day
                                    - 1hour
                                  additionalProperties: false
                                  description: >-
                                    APY details of the underlying vault before
                                    compounding
                                asset:
                                  type: object
                                  properties:
                                    address:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]{40}$
                                      description: Address of the asset
                                    assetCaip:
                                      type: string
                                      pattern: >-
                                        ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                      description: CAIP-2 of the asset
                                    name:
                                      type: string
                                      description: Name of the asset
                                    symbol:
                                      type: string
                                      description: Symbol of the asset
                                    decimals:
                                      type: integer
                                      description: Number of decimals of the asset
                                    assetLogo:
                                      type: string
                                      format: uri
                                      description: URL of the asset logo
                                    assetPriceInUsd:
                                      type: string
                                      description: Price of the asset in USD
                                    assetGroup:
                                      type: string
                                      description: >-
                                        Group of the asset, e.g., ETH, USD,
                                        EURO, BTC, OTHER
                                  required:
                                    - address
                                    - assetCaip
                                    - name
                                    - symbol
                                    - decimals
                                    - assetGroup
                                  additionalProperties: false
                                  description: Asset details of the underlying vault
                                vault:
                                  type: object
                                  properties:
                                    vaultId:
                                      type: string
                                      description: Vault id of the underlying vault
                                    address:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]{40}$
                                      description: Address of the underlying vault
                                  required:
                                    - vaultId
                                    - address
                                  additionalProperties: false
                              required:
                                - totalApy
                                - intrinsicApy
                                - asset
                                - vault
                              additionalProperties: false
                              description: >-
                                Composite APY data when vault asset is another
                                vault LP token. When present, totalApy compounds
                                the current vault with the underlying vault and
                                intrinsicApy shows the underlying vault's own
                                APY
                          required:
                            - vaultId
                            - address
                            - name
                            - network
                            - asset
                            - isTransactional
                            - isAppFeatured
                            - protocol
                            - tags
                            - holdersData
                            - apy
                            - tvl
                            - lastUpdateTimestamp
                            - creationData
                            - rewards
                            - isCorrupted
                            - userEventsIndexed
                            - warnings
                            - flags
                          additionalProperties: false
                        withdrawalPauseRatio:
                          type: number
                          nullable: true
                          description: >-
                            Ratio (0-1) of time the vault withdrawals were
                            paused over the last 2 years. Null when the protocol
                            has no withdrawal-pause event source or the tracked
                            event has not yet been backfilled.
                        composition:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Identifier for the investment
                              supplyAssets:
                                type: string
                                description: >-
                                  Amount of underlying assets supplied to the
                                  investment by the vault
                              allocation:
                                type: number
                                description: >-
                                  Percentage allocation of the whole vault in
                                  investment, as a decimal (e.g. 0.12 = 12%)
                              name:
                                type: string
                                description: Name of the investment
                            required:
                              - id
                              - supplyAssets
                              - allocation
                              - name
                            additionalProperties: false
                          nullable: true
                          description: >-
                            List of investments the vault is allocated to, with
                            allocation percentages.
                      required:
                        - vaultId
                        - network
                      additionalProperties: false
                      description: Array of items on the current page
                  errors:
                    type: object
                    properties:
                      unsupportedNetworks:
                        type: array
                        items:
                          type: string
                      unsupportedAssets:
                        type: array
                        items:
                          type: string
                      unsupportedProtocols:
                        type: array
                        items:
                          type: string
                    required:
                      - unsupportedNetworks
                      - unsupportedAssets
                      - unsupportedProtocols
                    additionalProperties: false
                required:
                  - itemsOnPage
                  - data
                  - errors
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````